This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506702 - Internal Server Error when accessing event log CSV of the probe
Internal Server Error when accessing event log CSV of the probe
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Partha Aji
wes hayutin
:
Depends On:
Blocks: 463877
  Show dependency treegraph
 
Reported: 2009-06-18 08:31 EDT by Tomas Lestach
Modified: 2009-09-10 14:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception from the traceback (5.57 KB, text/plain)
2009-06-18 09:09 EDT, Tomas Lestach
no flags Details

  None (edit)
Description Tomas Lestach 2009-06-18 08:31:38 EDT
Description of problem:
Impossible to download a CSV file of a probe event log.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL4-re20090612.0

How reproducible:
often, but not always

Steps to Reproduce:
1. Enable monitoring on both sat.
Install httpd on the client and start the service.

2. create a General: TCP Check probe for the client and set following probe params:
Send: "GET\n"
Expect: "buuuu"
Port: 80

3. Push Scout

4. You can generate some data into the event log by stopping and starting httpd multiple times on the client. Check that by "Generate report" with checked "Show event log"

5. When there are some rows in the Event log on the probe page, try to "Download CSV" of the Event log.

Actual results:
You're redirected to the "Internal Server Error" without getting any CSV file.

Expected results:
CSV file without any problem.
Comment 2 Tomas Lestach 2009-06-18 09:09:35 EDT
Created attachment 348439 [details]
Exception from the traceback
Comment 5 Devan Goodwin 2009-06-23 14:15:26 EDT
We were unable to diagnose just what was happening with this tag but this was using the older version of our list tag and using an extremely rare method for the CSV link, so Partha spent a few minutes switching it to the new list tag which does not have this problem.

spacewalk.git: b9384a103a7e51afe3a2e524172280b3f37dae3f
satellite.git: 7c3849809897007a5caaf9f7de59ef91653e6fac
Comment 6 Partha Aji 2009-06-24 11:34:12 EDT
Moving to ON_QA
Comment 7 wes hayutin 2009-06-25 13:50:24 EDT
verified .. looks good
Comment 8 Tomas Lestach 2009-08-25 06:05:00 EDT
Following a test plan from #Description ... getting a regular event csv file. Works!

Stage validated -> RELEASE_PENDING
Comment 9 Brandon Perkins 2009-09-10 14:49:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.